# Get Historic Irradiance

`GET /data/historic/radiation_and_weather`

Get historical irradiance and weather estimated actuals for up to 31 days of data at a time for a requested location, derived from satellite (clouds and irradiance over non-polar continental areas) and numerical weather models (other data). Data is available from 2007-01-01T00:00Z to 7 days ago.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `latitude` | number (double) | yes | The latitude of the location you request data for. Must be a decimal number between -90 and 90. |
| `longitude` | number (double) | yes | The longitude of the location you request data for. Must be a decimal number between -180 and 180. |
| `start` | string | yes | ISO_8601 compliant starting datetime for the historical data. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed. |
| `duration` | string | no | Must include one of end_date and duration. ISO_8601 compliant duration for the historical data. Must be within 31 days of the start_date. |
| `end` | string | no | Must include one of end_date and duration. ISO_8601 compliant ending datetime for the historical data. Must be within 31 days of the start_date. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed. |
| `period` | string | no | Length of the averaging period in ISO 8601 duration format. Default is PT30M. |
| `array_type` | string | no | The type of sun-tracking or geometry configuration of your site's modules. |
| `azimuth` | number (float) | no | The azimuth is defined as the angle (degrees) from true north that the PV system is facing. An azimuth of 0 means the system is facing true north. Positive values are anticlockwise, so azimuth is -90 for an east-facing system and 135 for a southwest-facing system. If you don't specify an azimuth, we use a default value of 0 (north facing) in the southern hemisphere and 180 (south-facing) in the northern hemisphere. |
| `format` | string | no | Response format. Default is HTML if not supplied. |
| `output_parameters` | string[] | no | The output parameters to include in the response. |
| `terrain_shading` | boolean | no | If true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects. |
| `tilt` | number (float) | no | The angle (degrees) that the PV system is tilted off the horizontal. A tilt of 0 means the system faces directly upwards, and 90 means the system is vertical and facing the horizon. If you don't specify tilt, we use a default tilt angle based on the latitude you specify in your request. Must be between 0 and 90. |
| `time_zone` | string | no | Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset. |

## Example request

### cURL

```bash
curl -X GET "https://api.solcast.com.au/data/historic/radiation_and_weather?start=2026-01-01&latitude=-33.8567&longitude=151.2152&output_parameters=air_temp,dni,ghi&format=json&end=<end>" \
  -H "Authorization: Bearer $API_KEY"
```

### Python

```python
import requests

params = {
    "start": "2026-01-01",
    "output_parameters": "air_temp,dni,ghi",
    "latitude": "-33.8567",
    "longitude": "151.2152",
}

response = requests.get(
    "https://api.solcast.com.au/data/historic/radiation_and_weather", params=params,
    headers={"Authorization": "Bearer API_KEY"},
)
data = response.json()
```

## Example response (200)

```json
{
  "estimated_actuals": [
    {
      "air_temp": 19,
      "dni": 0,
      "ghi": 174,
      "period_end": "2026-01-01T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "air_temp": 19,
      "dni": 0,
      "ghi": 149,
      "period_end": "2026-01-01T02:00:00+00:00",
      "period": "PT60M"
    },
    {
      "air_temp": 19,
      "dni": 0,
      "ghi": 162,
      "period_end": "2026-01-01T03:00:00+00:00",
      "period": "PT60M"
    }
  ]
}
```

## Responses

### 200 — OK

Schema: `HistoricRadiationAndWeatherResponse`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `estimated_actuals` | object[] | no |  |

Source: /docs/section/irradiance-weather-data#getDataHistoricRadiationAndWeather
